Retrieve the merge history of guest records

Use this API to fetch the merge history of guest records. This API also retrieves the history of guest records that have been merged across different centers.

You must specify appropriate details for the start_date and end_date parameters in the API request.
Optionally, you can specify necessary details for the center_id, page, and size parameters in the API request.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Details

NameTypeDescription
merge_historyobjectObject that contains the merge history-related elements of guest records. For more information, refer to the merge_history Object table.
page_infoobjectObject that contains the pagination-related elements of the response. For more information, refer to the page_info Object table.
errorobjectObject that contains error message and error code details. For more information, refer to the error Object table.

merge_history Object

NameTypeDescription
merged_datedatetimeDate and time on which the guest records were merged.
from_guestobjectObject that contains details about the guest record that was merged into the to_guest record. For more information, refer to the from_guest Object table.
to_guestobjectObject that contains details about the guest record into which the from_guest record was merged. For more information, refer to the to_guest Object table.

from_guest Object

NameTypeDescription
idguidUnique 32-character of the guest whose record was merged into the to_guest record.
codestringCode of the guest whose record was merged into the to_guest record.
namestringName of the guest whose record was merged into the to_guest record.
centerobjectObject that contains these elements of the center to which the from_guest record belongs: id and name.

to_guest Object

NameTypeDescription
idguidUnique 32-character of the guest into whose record the from_guest record was merged.
codestringCode of the guest into whose record the from_guest record was merged.
namestringName of the guest into whose record the from_guest record was merged.
centerobjectObject that contains these elements of the center to which the to_guest record belongs: id and name.

page_info Object

NameTypeDescription
totalintTotal records displayed in the response.
pageintNumber of pages that is displayed in the response.
sizeintNumber of records displayed per page in the response.

error Object

codeerror_message
1004Request is missing mandatory parameters start_date and/or end_date.
Query Params
date
required

Mandatory Date (in YYYY-MM-DD format) from which this API retrieves merge history of guest records. If you do not specify any particular time, the API considers the time as 00:00:00 by default. Note: You must ensure that the start_date value is lesser than the end_date value.

date
required

Mandatory Date (in YYYY-MM-DD format) before which this API retrieves merge history of guest records. If you do not specify any particular time, the API considers the time as 00:00:00 by default. Note: You must ensure that the end_date value is greater than the start_date value.

string

Optional Unique 32-character identifier of the center for which this API retrieves the Merged To guest records. If you do not specify any value for this parameter, the API retrieves the history of guest records that have been merged across different centers.

int32
Defaults to 1

Optional Number of pages of merged guest records that is to be displayed. Default value of this parameter is 1.

int32
Defaults to null

Optional Number of merged guest records that is to be displayed per page. Default value of this parameter is 10 and the maximum value is 100.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json